Bug 1259638 - gdeploy: values for force option should be consistent and uniform across operations
gdeploy: values for force option should be consistent and uniform across oper...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sachidananda Urs
Anush Shetty
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 04:58 EDT by Anush Shetty
Modified: 2017-03-25 10:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: gdeploy-1.0-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-25 10:23:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2015-09-03 04:58:01 EDT
Description of problem: gdeploy expects value of force option to be True or False for overriding brick mount values, and expects "yes" or "no" for volume options.

We need a consistent value which works for all the operations


Version-Release number of selected component (if applicable): gdeploy-1.0-6.el7rhgs.noarch


How reproducible: Always
Comment 2 Nandaja Varma 2015-09-04 02:29:35 EDT
Fixed in https://github.com/gluster/gdeploy/commit/8d8739ba40e93103ec82afd3cf36854a75fde312

Next build will add this feature.
Comment 3 Anush Shetty 2015-09-15 06:50:04 EDT
Verified with gdeploy-1.0-11.el7rhgs.noarch

Note You need to log in before you can comment on or make changes to this bug.